ТёмныйЭльфНавостриэль2010
Короче, ёбнуло мне в башку, хочу, бля попрограммировать чуток. Хотя по плану я должен бы чем другим занимацца. А у меня ж кругом Линукс теперь. Винду, впрочем, я тоже всегда успею запустить, так что почему бы и не попробовать на Линуксе? Значит, в Федоре есть пакеты qt-creator, qt-devel, qt-doc. Раньше я уже ставил qt-creator и думал, что уже всё, а хер-то там. Я не пытался создать проект, а сегодня вот попытался и он мне пишет какую-то херню, мол no kits. Китов, типа нет. На losst.ru есть статья по настройке этого creatora, в которой всё гладко, как по маслу, ставицца и ни про какие траблы конечно не сказано. Про настройку, впрочем, тоже толком не сказано, зато есть пример проекта. И на том спасибо. Тык-мык, решил поставить другим способом - не через штатные пакеты, а как в статье написано. Скачал с qt.io какой-то там downloader-installer с рашырением .run. chmod +x и запускаем его. Он, значит, ставит в отдельную папку, не в систему. Ставит только qt-creator, и снова китов нет, сука-блядь (( Загуглил. Запускайте, грят, qt-MaintenanceTool.sh или типа того и надо добавить недостающие компоненты. В общем в Qt надо выбрать одну из версий. Это и есть кит. А в версии выбрать что из неё надо. Там для Андроида библиотека, исходники, компилятор и прочая муть. Я поначалу выбрал всё. Оно давай скачивать с какой-то черепашьей скоростью, скачает один пакет, и ещё несколько добавляет - зависимости, видиом. Час, наверное, качало, на 49% наебнулось. Запустил заново, токо компилер и сорцы. Опять чо-то надолго. Закрыл, запустил заново. Теперь токо компилер. О чудо! Оно скачалось и вроде поставилось. Выбрал значицца этот кит. То ли это был не компилер, а шо-то другое, в общем, компилеры надо отдельно ставить, в систему. С++ & C. Поставил. После некоторой ебли запустилось и я даже проект намутил с одной кнопкой. Компиляю, не компилицца, сука такая! Пишет can't find -lGL. Я давай гуглить, еле нашёл. Оказывается, не может найти библиотеку libGL, хотя она есть. Нет, он её не использует никак. Но она ему нужна. qmake зачем-то требует. Шоб було. Лежит она в /usr/lib64/libGL.so.1 а он её ищет в /usr/lib/ как libGL. Делаем симлинк:
ln -s /usr/lib64/libGL.so.1 /usr/lib/libGL и всё чюдесным образом компилируеццо! До вечера я с этой хернёй ебался, причём, основное время ушло на скачку какого-то говна из тырнета с черепашьей скоростью. Надо всё-таки с этим разобрацца, ведь зачем-то пакеты эти в репозитории Федоры есть? Значит, как-то можно, наверное поставить без ебли? Ладно, бум разбираццо.

Элементарно. Сказали поставить qt5-qtbase-devel (видимо наряду с qt-creator, qt-devel, qt-doc), а потом в настройках вручную киты добавлять. Вот откуда, блядь, я должен всё это знать? Нигде про это не написано. А потом эти мудаки удивляюцца, чего это Линукс не на первом месте. Потому шо руки ижжопы надо сначала вынуть. Да не дай Бох, блин, он буит на первом месте, мы все провалимся опять в каменный век!

@темы: Linux